Subject: bug#70557: Fix compilation of Vala files conditionally added to _SOURCES

From: Karl Berry <[email-masked]>
Date: Mon, 29 Apr 2024 15:29:23 -0600

so you have to give it all the source files at once, 

Wow.

    I guess it is worth documenting this limitation of the current Vala
    support. If you agree with my reasoning above, then I will prepare a
    documentation patch based on it.

All I know about Vala is what you've written, but given that, I do agree
it would be useful to document it. So a doc patch would be most welcome.

(The doc fixes in the test comments are fine, of course. I will apply
as soon as I have a chance.)

Thanks Reuben. -k